org.apache.ignite.internal.processors.platform

## Interface PlatformJavaObjectFactoryEx<T>

All Superinterfaces:
  PlatformJavaObjectFactory<T>

All Known Implementing Classes:
  PlatformDefaultJavaObjectFactory

    public interface PlatformJavaObjectFactoryEx<T>
    extends PlatformJavaObjectFactory<T>

Extended Java object factory interface to handle special cases.

### Method Summary

Methods
`void` `initialize(Object payload, Map<String,Object> props)` Initialize factory.

### Methods inherited from interface org.apache.ignite.platform.PlatformJavaObjectFactory

`create`

### Method Detail

#### initialize

    void initialize(@Nullable
                  Object payload,
                  @Nullable
                  Map<String,Object> props)

Initialize factory.

Parameters:
  `payload` - Optional payload.
  `props` - Optional properties.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017